Fund Return Claim Status Check API
Queries the progress of a fund return claim from the merchant server to the Hecto Financial server.
Check the status of a claim previously submitted via the 'Fund Return Claim Request' API.
API Information
POST/v2/api/fundsReturn/check
Content-Type
application/json테스트
https://tbnpay.settlebank.co.kr/v2/api/fundsReturn/check운영
https://npay.settlebank.co.kr/v2/api/fundsReturn/checkRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Unique Merchant ID assigned by Hecto Financial.
Unique Merchant ID assigned by Hecto Financial.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date.
Request date.
*YYYYMMDD
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
*HH24MISS
└ornMchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Original merchant order number.
Original merchant order number.
*No Korean characters. The order number used when submitting the fund return claim request.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
*Merchant ID + request date + request time + original merchant order number + auth key
Request Hash Code
| Item | Combined fields |
|---|---|
| pktHash value | Merchant ID + request date + request time + original merchant order number + auth key |
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure).
Transaction status code (success/failure).
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
Decline code.
*Refer to rejection code table
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
*Error details are returned when an error occurs.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction reference number.
STFP_FIRM20230330095423555Hecto Financial transaction reference number.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
OID20230330095512450Merchant order number.
*No Korean characters
└prgStatCdAN(2)Alphanumeric, up to 2 bytes*Progress status code.
Progress status code.
01: Received 02: In progress 03: Completed 04: Rejected 05: Cancelled*Fund return claim progress status
└prgStatMsgAN(100)Alphanumeric, up to 100 bytesProgress status message.
Fund return claim has been received.Progress status message.
*Detailed message for the progress status
└rtnAmtN(13)Numeric, up to 13 bytesReturn amount.
1000Return amount.
*Actual returned amount (upon completion)
└rtnDtAN(8)Alphanumeric, up to 8 bytesReturn date.
20230331Return date.
*YYYYMMDD. Completion date of the return.
Request Example
{
"hdInfo": "SPAY_FC0W_1.0",
"mchtId": "midtest",
"reqDt": "20230330",
"reqTm": "095512",
"ornMchtTrdNo": "OID201902210001",
"pktHash": "hash value"
}
Response Example
{
"outStatCd": "0021",
"outRsltCd": "0000",
"outRsltMsg": "Processed successfully.",
"trdNo": "STFP_FIRM20230330095423555",
"mchtTrdNo": "OID20230330095512450",
"prgStatCd": "03",
"prgStatMsg": "Fund return claim has been completed.",
"rtnAmt": "1000",
"rtnDt": "20230331"
}
Need technical support?
Code Samples
HectoFinancial GitHub